%global gem_name gemnasium-parser

Name: rubygem-%{gem_name}
Version: 0.1.9
Release: 11%{?dist}
Summary: Safely parse Gemfiles and gemspecs
License: MIT
URL: https://github.com/laserlemon/gemnasium-parser
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
# Attempt to fix failures in tests
# https://github.com/gemnasium/gemnasium-parser/pull/35
Patch0: gemnasium-parser-0.1.9-fix-tests.patch

BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: rubygem(rspec-expectations)
# Bundler is required in lib/gemnasium/parser/gemfile.rb
BuildRequires: rubygem(bundler)
BuildRequires: %{_bindir}/rspec
BuildArch: noarch

%description
Safely parse Gemfiles and gemspecs.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

# Rakefile is not executable, nor should be
sed -i '/^#!\/usr\/bin\/env/ d' Rakefile

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
cat %{PATCH0} | patch -p1 -F0

rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/gemnasium-parser.gemspec
%{gem_instdir}/spec

%changelog
* Tue Jul 14 2020 Pavel Valena <pvalena@redhat.com> - 0.1.9-11
- Revive package.

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Dec 28 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.1.9-2
- Rearrange %%files
- Remove more files during %%prep

* Mon Aug 05 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.1.9-1
- Initial package
